<?php
namespace Claromentis\Mailgun\Model;

$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("_a1e707d02a236dadebd" . "15a45e65ebdb6" => base64_decode("YXR0YWNobWVudC1jb3Vu" . "dA=="), "_8c575917cbaedf1e7e" . "fae84939402bff" => base64_decode("U3Vi" . "amVj" . "dA=="), "_97ea09a7faf27c52c6eff697" . "73df1d8a" => base64_decode("dGl" . "tZX" . "N0Y" . "W1w"), "_9c050c786fc8717" . "0cbb84fc6a8b13cb" . "6" => base64_decode("YXR0YWNobWVu" . "dC0="), "_1d6c68a0262e8fa0be" . "d1215b7224a98e" => base64_decode("cmVjaXBpZ" . "W50"), "_618a4aeb" . "9fecc4592" . "a4521f348" . "76fa29" => base64_decode("ZnJ" . "vbQ" . "=="), "_f5894760" . "07fa133f4" . "57c3ef29d" . "dfa566" => base64_decode("VG" . "8="), "_956cd32298a2" . "29f9768f1096f" . "077ace3" => base64_decode("Ym9keS1wbGF" . "pbg=="), "_44e986c04f41a08" . "b56a383c7b3a88ee" . "2" => base64_decode("c2" . "Vu" . "ZG" . "Vy"), "_f39f5346e313e4dd1a" . "c3a7bd8032beda" => base64_decode("c3Vic3" . "RyX2Nv" . "bXBhcm" . "U="), "_d706c160e45bf7434ff" . "f82a5976f0e19" => base64_decode("YXJyYX" . "lfa2V5" . "cw=="), "_6e1c717cf3cbf1af982ed74d4336b7" . "f1" => base64_decode("Ym9keS" . "1odG1s"));
use Claromentis\Core\Mail\Receive\Contract\MailAttachment;
use Claromentis\Core\Mail\Receive\Contract\MailMessage;
use Claromentis\Core\Util\ArrayUtil;




class MailgunMessage implements MailMessage
{
    protected $message_data;
    protected $attachments_data;
    protected $attachments;
    
    
    
    
    
    public function __construct($_a3d82c5df38e194c9c73e3ccb4223bbc = [], $_4e7ab34a53ffb13eb0838003f33034d4 = [])
    {
        $this->message_data = $_a3d82c5df38e194c9c73e3ccb4223bbc;
        $this->attachments = $_4e7ab34a53ffb13eb0838003f33034d4;
        foreach ($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_d706c160e45bf7434" . "fff82a5976f0e19"]($this->message_data) as $key) {
            if ($key !== $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_a1e707d02a236dadebd15a" . "45e65ebdb6"] && $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_f39f5346e313e4dd1ac3a" . "7bd8032beda"]($key, $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_9c050c786fc87170cbb84fc6a8b13cb" . "6"], 0, 11) === 0) {
                $this->attachments[] = new MailgunAttachmentString($key, $this->message_data[$key]);
            }
        }
    }
    
    
    
    
    public function GetRecipientAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_1d6c68a0262e8fa0" . "bed1215b7224a98e"]);
    }
    
    
    
    
    
    
    public function GetFrom() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_618a4aeb9fecc4592a4521f34876fa" . "29"]], null);
    }
    
    
    
    
    
    
    
    public function GetTo() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_f589476007fa133f457c3ef29dd" . "fa566"]], null);
    }
    
    
    
    
    public function GetSubject() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_8c575917cbaedf1e7efae84939402b" . "ff"]);
    }
    
    
    
    
    public function GetBodyHtml() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_6e1c717cf3" . "cbf1af982ed" . "74d4336b7f1"]);
    }
    
    
    
    
    public function GetBodyText() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_956cd32298a229f9768f1" . "096f077ace3"]);
    }
    
    
    
    
    public function GetDate() : \Date
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = new \Date(ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_97ea09a" . "7faf27c5" . "2c6eff69" . "773df1d8" . "a"]));
        return $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    
    
    
    
    public function GetSenderAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_44e986c04f41a08b56a383" . "c7b3a88ee2"]);
    }
    public function GetAttachments()
    {
        return $this->attachments;
    }
}